
From: "Randy.Dunlap" <rddunlap@osdl.org>

oss/pss: fix initdata reference used in exit:

Error: ./sound/oss/pss.o .exit.text refers to 000000000000003f R_X86_64_PC32     .init.data+0x0000000000000003

Signed-off-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/sound/oss/pss.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN sound/oss/pss.c~oss-pss-fix-section-references sound/oss/pss.c
--- 25/sound/oss/pss.c~oss-pss-fix-section-references	2005-03-07 20:41:44.000000000 -0800
+++ 25-akpm/sound/oss/pss.c	2005-03-07 20:41:44.000000000 -0800
@@ -1149,7 +1149,7 @@ static int mss_irq __initdata	= -1;
 static int mss_dma __initdata	= -1;
 static int mpu_io __initdata	= -1;
 static int mpu_irq __initdata	= -1;
-static int pss_no_sound __initdata = 0;	/* Just configure non-sound components */
+static int pss_no_sound = 0;	/* Just configure non-sound components */
 static int pss_keep_settings  = 1;	/* Keep hardware settings at module exit */
 static char *pss_firmware = "/etc/sound/pss_synth";
 
_
